Subject: Re: [Bitcoin-development] Bitcoin Testing Project

From: Arklan Uth Oslin <[email-masked]>
Date: Mon, 1 Oct 2012 07:52:33 -0600

Hi guys.

So, as I mentioned on the bitcointalk.org forums thread about the
foundation, I want to get involved in the QA side of bitcoin
development. I've done functional testing in the video game industry for
years. I've read all the messages in this thread, but I'm left unclear how
I can most effectively and quickly being helping out. Could I get a bit of
a directional nudge?

Arklan

----------
As long as there is light, the darkness holds no fear. And yet, even in the
deepest black, there is life. - Arklan Uth Oslin

I want to leave this world the same way I came into it: backwards and on
fire. - Arklan Uth Oslin

On Sat, Sep 29, 2012 at 12:26 PM, steve <[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hi Gavin,
>
> Sorry for the delayed response, I wanted to take a couple of days to
> reflect on your email.
>
> On 26/09/2012 19:09, Gavin Andresen wrote:
>
>
> And their are other methods too.
>
>
>
> The GUI::Test package for perl will allow this to be greatly
> automated. (I have done this before on the localisation of photoshop.)
>
>
>
> this why we need detailed testscripts and plans.  so we know what has
> and hasnt been done. The more boring the task the more work that needs
> to go into testcase development.  This is the area I see as my
> greatest failing last time.  I have a large number of virtual machines
> and should have at least this work.  But we need very detailed
> testcases.  with decent testplans just downloading the software,
> syncing the block chain, syncing an existing wallet, rescanning the
> blockchain and verifying the balance would cover a large number of
> tests.  The idea behind having lots of very specific testcases is you
> get to see what tests have not been run.
>
>
>
> I understand your concern, however I have taken a couple of days to
> reflect on this and I still strongly feel that in order to make sure
> that this sticks, and is still useful in 1 years time we need to lay
> proper foundations. Those foundations are not word documents,
> spreadsheets, etc.  they are selecting the right tools for the job.
>
> We can gain so much benefit from using 3rd party software.
> (bettermeans would rock if it wasnt rotting)
>
> I am sure you could do your coding work just using vi, but an sdk
> makes it much easier and allows you to work in a more productive manner.
>
> I have had a couple of off list emails with some testers and they also
> feel that it is very important to make sure we have a sound foundation
> (mantis is so much more than just a bug reporting tool, I see the bug
> reporting functionality as secondary to the main test run
> functionality - but it doesnt have to be mantis based, we do need
> workflow and testcase software though - and proper software for this
> is much better than just a massive google doc.) however I am checking
> out some other software that has been recommended.  It will be very
> hard to change 'the process' once we have something we are used too
> (just look at the current resistance) I promise nothing will change
> for the dev team.  But test does need other tools, and processes.
>
> If you feel that strongly that I am going about this the wrong way, I
> am happy to step back and let someone else sort it out (I will still
> do all the testing I possibly can). I would feel that this would be a
> real shame and we have the chance to setup requirements to
> functionality to tests all with traceability. why not do it right from
> the start?
>
> I will open up my vps' somepoint over the next few days and you can
> see what I mean. I will setup a fake git project, and sort out the
> interactions.
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.17 (MingW32)
> Comment: Using GnuPG with Mozilla - http://www.enigmail.net/
>
> iQEcBAEBAgAGBQJQZz1pAAoJEFvEB9dQFvtQRLkIAJtPCkW1R9vmMPY9u4o+ET1t
> w4pV/+W2PXo2p86HnljCIPLV/cua/1I/EJp7XR7s145Nj4KZUbzHGhvUUmwDOHW2
> TGvJs+HO1bjsJfh4pWEb6PXcW3TguZxZSt5/rBAAI/5BeomSuRcZOdoV87D1xnK8
> TSlgaseWrJcpKLO30/FQA3QnH/bjJ4OBmtHp8WaOtSnfww9Zbb5VYca37O15c2U4
> 2d0RUunDg1w2kRbkKjztxr3YasSOX+07Uvj4d5Lw7zgA0U93krNWVT1Ypo94dNJ7
> 6SyKi30UuqDdJ9XxZrMB/LBVNGOLlIBNWL++ocu5GFnOn9pnw57ZMBZM5g6YDpo=
> =ekQ/
> -----END PGP SIGNATURE-----
>
>
> ------------------------------------------------------------------------------
> How fast is your code?
> 3 out of 4 devs don\\\'t know how their code performs in production.
> Find out how slow your code is with AppDynamics Lite.
> http://ad.doubleclick.net/clk;262219672;13503038;z?
> http://info.appdynamics.com/FreeJavaPerformanceDownload.html
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>